## ide-source-search-context ide-source-search-context |

## Functions

void | ide_source_search_context_backward_async ()
gboolean | ide_source_search_context_backward_finish2 ()

## Description

## Functions

### ide_source_search_context_backward_async ()

    void
    ide_source_search_context_backward_async
                                   (GtkSourceSearchContext *search,
                                    const GtkTextIter *iter,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

This function is an alternate implementation of async backward search that works around an issue in upstream GtkSourceView until it is fixed and we can remove this.

https://gitlab.gnome.org/GNOME/gtksourceview/issues/8

Since: 3.32

### ide_source_search_context_backward_finish2 ()

    gboolean
    ide_source_search_context_backward_finish2
                                   (GtkSourceSearchContext *search,
                                    GAsyncResult *result,
                                    GtkTextIter *match_begin,
                                    GtkTextIter *match_end,
                                    gboolean *has_wrapped_around,
                                    GError **error);

#### Parameters

search | a GtkSourceSearchContext |
result | a GAsyncResult |
match_begin | a GtkTextIter. | [out]
match_end | a GtkTextIter. | [out]
has_wrapped_around | a location to a boolean. | [out]
error | a location for a GError |

Since: 3.32